#!/usr/bin/python
# -*- coding: utf-8 -*-

# author: Martin Michel
# eMail: martin@ joyofscripting.com
# created: 25.04.2008

# This script is called by an AppleScript which passes
# an URL to a PDF file and a folder path as arguments. The
# Python script then extracts the PDF file name from the URL
# and unquotes it. If a PDF file with the same name already 
# exists in the given folder path, then it creates a new and
# unused file path by appending a number to the original 
# file name:
# >> original (and existing) file name: example.pdf
# >> new and unused file name: example 1.pdf (or example 2.pdf, etc.)
# FInally it downloads the PDF file to the new file path.

import sys
import os
import urllib

def main():
    websiteurl = sys.argv[1]
    folderpath = sys.argv[2]
    filename = websiteurl[websiteurl.rfind('/')+1:]
    filename = urllib.unquote(filename)
    filename, suffix = os.path.splitext(filename)
    counter = 0
    while True:
        if counter == 0:
            newfilename = '%s%s' % (filename, suffix)
        else:
            newfilename = '%s %s%s' % (filename, counter, suffix)
        filepath = os.path.join(folderpath, newfilename)
        if not os.path.exists(filepath):
            break
        else:
            counter += 1
    urllib.urlretrieve(websiteurl, filepath)

if __name__ == '__main__':
    main()